<template>
  <div class="container-bridge">
    <div>
      <detail ref="detail" @watchChild="fetchData"/>
    </div>
  </div>
</template>
<script>
import detail from '@/views/bridge/components/detail'
import editBridge from '@/views/bridge/components/editBridge'

export default {
  name: 'HuangZhou',
  components: { detail, editBridge },
  data() {
    return {
      editShow: false
    }
  },
  mounted() {
    this.fetchData()
  },
  methods: {
    fetchData() {
      this.$refs.detail.fetchData('黄洲桥')
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .container-bridge{
    background-color: #fffffb !important;
    width: 100%;
    height: 100%;
    min-height: calc(100vh - 158px);
    overflow: auto;
    padding-bottom: 20px;
    margin-top: 0;
  }
</style>
